{% extends 'base.html' %}
{% block content %}
  <div class="project-list">
    <h1>My Projects</h1>
      <a href="{% url 'create_project' %}" >
        <button class="project-button">Create a project</button>
      </a>
    {% if not project %}
      <p>You are not assigned to any projects</p>
    {% else %}
      <table>
        <thead>
          <tr>
            <th>Name</th>
            <th>Number of tasks</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          {% for item in project %}
          <tr>
            <td class="click-item"> <a href="{% url 'show_project' item.id %}">{{item.name}}</a> </td>
            <td class="click-item">{{item.tasks.all|length}}</td>
            <td><a href="{% url 'delete_project' item.id %}">
              <button class="delete-button">
                Delete
              </button>
            </a></td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
{% endblock %}
